import { csv } from 'd3';

export const loadData = () => 
  csv('https://vizhub.com/OxfordComma/datasets/playcounts_bymonth_byartist.csv')
    .then(data => {
      var newData = new Array();
      // First filter removes the blank key
      // Next filter removes the year_month field
      const artistList = Object.keys(data[0])
        .filter(d => d).filter(d => d != 'year_month'); 
      data.forEach(d => {
        artistList.forEach(a => {
          newData.push({
            month: new Date(
              d.year_month.slice(0, 4), d.year_month.slice(4, 6)), 
            artist: a,
            plays: +d[a]
          });
        });
      });
      //console.log(newData)
      return newData;
    });